Package groovy.json

## Interface JsonParser

- All Known Implementing Classes:
    `BaseJsonParser`, `JsonFastParser`, `JsonParserCharArray`, `JsonParserLax`, `JsonParserUsingCharacterSource`

      public interface JsonParser

  This is the parser interface that backs the new JsonSlurper. It was derived from the Boon JSON parser.
  Since:
    2.3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `parse​(byte[] bytes)` |
    `Object` | `parse​(byte[] bytes, String charset)` |
    `Object` | `parse​(char[] chars)` |
    `Object` | `parse​(File file, String charset)` |
    `Object` | `parse​(InputStream input)` |
    `Object` | `parse​(InputStream input, String charset)` |
    `Object` | `parse​(Reader reader)` |
    `Object` | `parse​(CharSequence charSequence)` |
    `Object` | `parse​(String jsonString)` |

- - ### Method Detail

    - #### parse

          Object parse​(String jsonString)

    - #### parse

          Object parse​(byte[] bytes)

    - #### parse

          Object parse​(byte[] bytes,
                       String charset)

    - #### parse

          Object parse​(CharSequence charSequence)

    - #### parse

          Object parse​(char[] chars)

    - #### parse

          Object parse​(Reader reader)

    - #### parse

          Object parse​(InputStream input)

    - #### parse

          Object parse​(InputStream input,
                       String charset)

    - #### parse

          Object parse​(File file,
                       String charset)